慎用AllowUnsafeUpdates,否则你的SharePoint应用将有跨站点脚本漏洞。当然,既然有AllowUnsafeUpdates属性的存在,就有它的道理,只要正确使用改属性,就可以解决你问题的同时避免产生不必要的风险。有位兄台已经就AllowUnsafeUpdates属性做了详细介绍,非常有用。